<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, globalContent=~{::globalContent}, mainMenu='commons/layout/menu')}">
    <head>
        <th:block th:fragment="scripts">
            <script th:src="@{/js/app/dashboard.js}"></script>
        </th:block>
    </head>
    <body>
        <div th:fragment="globalContent">
            <div>
                <div class="row">
                    <div class="col-md-12">
                        <div class="panel">
                            <div class="panel-heading">
                                <div class="panel-title title">
                                    <span th:text="#{My steps in progress}"></span>
                                    <span class="nb-records" th:text="'('+${recordResult.totalResults}+')'" th:if="${recordResult.totalResults > 0}"></span>
                                    <div id="records-actions" class="pull-right">
                                        <div class="btn-group" th:if="${recordResult}">
                                            <button id="sort" type="button" class="btn btn-default dropdown-toggle" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false" th:if="${recordResult.totalResults > 0}">
                                                <i class="fa fa-sort"></i>
                                                <th:block th:text="#{Ordered by}" />
                                            </button>
                                            <ul class="dropdown-menu">
                                                <li><a id="tridDateCreation" th:href="@{search(searchTerms=${searchTerms}, sort=creation)}" th:text="#{'Creation date (more or less recent)'}"></a></li>
                                                <li><a id="triMaj" th:href="@{search(searchTerms=${searchTerms}, sort=update)}" th:text="#{'Update Date (more or less recent)'}"></a></li>
                                                <li><a id="triAlphabetique" th:href="@{search(searchTerms=${searchTerms}, sort=title)}" th:text="#{'File name (A to Z)'}"></a></li>
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                                <div class="row" th:if="${connectionDate != null}">
                                    <div class="col-md-12 last-connection" th:text="#{Last connexion} + ' ' + ${connectionDate} + ' ' +  #{at} + ' ' +   ${connectionHour}"></div>
                                </div>
                            </div>
                            <div id="demarches" class="panel-body">
                                <div class="row" th:if="${recordResult != null && recordResult.allDatasourcesInError}">
                                    <div class="col-md-12 dossier-erreur" th:text="#{A technical problem has occurred that prevents some of your files from being displayed. Please retry later. We apologize for the inconvenience.}"></div>
                                </div>
                                <div class="row" th:if="${recordResult != null && !recordResult.allDatasourcesInError}" th:switch="${recordResult.totalResults}">
                                    <div th:case="0">
                                        <div class="col-md-12">
                                            <span th:text="#{Welcome to your applications dashboard.}"></span><br/>
                                            <span th:text="#{You haven't started any applications yet.}"></span><br/>
                                            <span th:text="#{Now is the ideal time to start your business !}"></span>
                                        </div>
                                        <div class="text-center">
                                            <a th:href="@{${@appProperties.profilerUrl}}"
	                                            th:text="#{Create a new record}"
	                                            class="btn btn-xl btn-primary btn-primary-dashboard"></a>
                                        </div>
                                    </div>
                                    <th:block th:case="*">

                                        <div class="col-xs-12 col-sm-6 col-md-4" th:each="record,stat : ${recordResult.records}">

                                            <div class="record">
                                                <div class="row" th:object="${record.recordDisplay}">
                                                    <div class="col-md-12">
                                                        
                                                        
                                                        <div class="record-title">
                                                            <i class="fa" th:classappend="*{error} ? fa-exclamation-triangle : (*{progress} == 100 ? fa-folder : fa-folder-open)"></i>
                                                            <th:block th:text="*{title}" />
                                                        </div>
                                                      

                                                        <div class="record-creation" th:text="|#{Record created on} *{{creationDate}}|"></div>
                                                        
                                                        
                                                        <div class="record-info">
                                                            <div class="record-info-label" th:text="#{RecordId}"></div>
                                                            <div class="record-summary" th:text="|*{{recordId}}|"></div>
                                                        </div>
                                                        
                                                        <div class="record-summary-info">
                                                            <div class="record-info-label" th:text="#{Summary}"></div>
                                                            <div class="record-summary" th:text="|#{Updated} *{{updateDate}}|"></div>
                                                        </div>
                                                        
                                                        
                                                        <div class="record-info-label" th:text="#{Progress}"></div>
                                                        <div class="record-progress">
                                                            <div class="progress">
                                                                <div role="progressbar" aria-valuemin="0" aria-valuemax="100" th:aria-valuenow="*{progress}"
                                                                    class="progress-bar" th:style="|width: *{progress}%;|" th:text="*{progress}+'%'"
                                                                    th:classappend="*{error} ? in-error : (*{progress} == 100 ? completed : in-progress)"></div>
                                                            </div>
                                                        </div>
                                             

                                                    </div>
                                                    
                                                    <div class="col-xs-12 record-actions">
                                                        <a th:each="action : *{actions}" th:id="|${action.type.typeActionName}-index-${stat.index}|"
                                                            th:href="(${action.type.typeActionName == 'delete' || action.type.typeActionName == 'history'} ? '' : (${record.source==T(fr.ge.dashboard.constant.ModulesDashboardEnum).GQ} ? ${urlNash} : (${record.source==T(fr.ge.dashboard.constant.ModulesDashboardEnum).PROFILER} ? ${urlProfiler} : ${urlForms})))  + ${action.uri}"
                                                            th:text="${action.label.actualLabel}"
                                                            class="btn btn-xs btn-block btn-primary btn-primary-dashboard" th:classappend="${action.type.typeActionName}"></a>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </th:block>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row formImport">
                    <div th:replace="commons/modal::default(id='confirmRemoveModal', title=#{Deletion confirmation}, content=~{::content})">
                        <div th:fragment="content">
                            <p th:text="#{You are about to delete this dossier. Would you like to continue?}"></p>
                            <i th:text="#{Please note that your dossier will be deleted on our website only. If your dossier has already been sent on and if you also wish the recipient authority to delete it, please contact them.}"></i>
                        </div>
                    </div>
                    <div th:replace="commons/modal::single(id='singleModal', title=#{An error occurred})">
                    </div>
                    <div th:replace="commons/modal::trackerHistory(id='trackerModal', title=#{An error occurred})">
                    </div>
                </div>
            </div>
        </div>
    </body>
</html>
